
From: "Coywolf Qi Hunt" <coywolf@lovecn.org>

I am always trying to make sure I've booted the right kernel after a new
install.  Too paranoid maybe.  But I guess there're other people like me. 
So let's make kbuild display the compile version number at the end to give
us a hint.  I know we may be booting vmlinux someday, but don't care about
it for now.

Signed-off-by: Coywolf Qi Hunt <coywolf@lovecn.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/boot/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/boot/Makefile~kbuild-display-compile-version arch/i386/boot/Makefile
--- 25/arch/i386/boot/Makefile~kbuild-display-compile-version	2005-05-06 18:01:04.000000000 -0700
+++ 25-akpm/arch/i386/boot/Makefile	2005-05-06 18:01:04.000000000 -0700
@@ -48,7 +48,7 @@ cmd_image = $(obj)/tools/build $(BUILDFL
 $(obj)/zImage $(obj)/bzImage: $(obj)/bootsect $(obj)/setup \
 			      $(obj)/vmlinux.bin $(obj)/tools/build FORCE
 	$(call if_changed,image)
-	@echo 'Kernel: $@ is ready'
+	@echo 'Kernel: $@ is ready' ' (#'`cat .version`')'
 
 $(obj)/vmlinux.bin: $(obj)/compressed/vmlinux FORCE
 	$(call if_changed,objcopy)
_
